Bug ID 436442: PSM may be required to be provisioned for some AFM commands to complete.

Last Modified: Oct 01, 2018

Bug Tracker

Affected Product:  See more info
BIG-IP AFM(all modules)

Known Affected Versions:
11.4.1

Opened: Nov 04, 2013
Severity: 3-Major

Symptoms

When a GBB Better or Best-level license is installed on 11.4.1 and its hotfixes, Provisioning of PSM module is required for protocol-transfer to work. This is a function of the module AFM. tmsh modify security log profile dns_prof { protocol-dns add { dns_prof { filter { log-dns-malformed enabled log-dns-drop enabled log-dns-malicious enabled log-dns-reject enabled log-dns-filtered-drop enabled } format { type none } publisher local-db-publisher } } protocol-transfer add { dns_prof { publisher none } } } '>& /tmp/uuqVHpyxSs]

Impact

This error will prevent the configuration change from being committed. [Syntax Error: "protocol-transfer" is dependent on one of the following modules being provisioned: asm em psm

Conditions

The system must be licensed for AFM but not PSM. This is most common in the Better and Best-level licenses, since they lack PSM.

Workaround

Provision PSM and try the configuration change again.

Fix Information

None

Behavior Change